头程对账列表
POST
/basicOpen/logistics/headLogisticsReconciliation/list查询头程物流对账列表,对应系统【供应链】>【头程物流对账】数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/logistics/headLogisticsReconciliation/list | HTTPS | POST | 1 |
请求参数
offsetinteger必填lengthinteger必填searchFieldTimestringsearchFieldstringsearchValuestringshippingMethodIdsarray<any>businessCodeArrarray<any>logisticsProviderIdarray<any>logisticsChannelIdarray<any>payStatusarray<any>sidsArrarray<any>coeffVariationstringstartDatestringendDatestringseniorSearchListarray<object>隐藏子属性
searchFieldstringsearchValuearray<any>请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/logistics/headLogisticsReconciliation/list?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"offset": 0,
"length": 20,
"searchFieldTime": "shipment_time",
"searchField": "shipment_sn",
"searchValue": "SP230706004",
"shippingMethodIds": [],
"businessCodeArr": [],
"logisticsProviderId": [],
"logisticsChannelId": [],
"payStatus": [],
"sidsArr": [],
"coeffVariation": "",
"startDate": "2024-01-01",
"endDate": "2024-12-31",
"seniorSearchList": []
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
listobject隐藏子属性
refOrderNostring必填orderNostring必填logisticsProviderNamestring必填logisticsChannelNamestring必填isNewVersioninteger必填businessCodeinteger必填shipmentsarray<any>必填feesarray<object>必填隐藏子属性
logisticsFeeIconstring必填taxFeeIconstring必填feeTypeinteger必填logisticsFeestring必填taxFeestring必填pricestring必填priceCurrencystring必填chargeableWeightstring必填billingWaystring必填remarkstring必填priceIconstring必填otherFeeValuestring必填totalFeeValuestring必填logisticsTrackingNumberListarray<any>必填trackingNoListarray<any>必填fundsDiscountstring必填fundsPayableAmountstring必填fundsPaidFeestring必填fundsUnpaidFeestring必填fundsApplyFeestring必填fundsUnapplyFeestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583",
"response_time": "2026-05-19 12:00:00",
"data": {
"list": [
{
"refOrderNo": "SP230706004",
"orderNo": "FL230724001",
"logisticsProviderName": "忠迅",
"logisticsChannelName": "测材积",
"isNewVersion": 1,
"businessCode": 1,
"shipments": ["FBA16STCT522", "FBA16T004D5L"],
"fees": [
{
"logisticsFeeIcon": "¥",
"taxFeeIcon": "¥",
"feeType": 1,
"logisticsFee": "4704.20",
"taxFee": "0.00",
"price": "4704.10",
"priceCurrency": "CNY",
"chargeableWeight": "10.00",
"billingWay": "cbm",
"remark": "4815",
"priceIcon": "¥",
"otherFeeValue": "141132.00",
"totalFeeValue": "145836.20"
}
],
"logisticsTrackingNumberList": ["4827"],
"trackingNoList": ["123", "A111115815"],
"fundsDiscount": "¥0.00",
"fundsPayableAmount": "¥23525.50",
"fundsPaidFee": "¥0.00",
"fundsUnpaidFee": "¥23525.50",
"fundsApplyFee": "¥0.00",
"fundsUnapplyFee": "¥23525.50"
}
]
},
"total": 1
}